Index: tmp/org.txm.core/.classpath
===================================================================
--- tmp/org.txm.core/.classpath	(revision 240)
+++ tmp/org.txm.core/.classpath	(revision 241)
@@ -43,7 +43,6 @@
 	<classpathentry exported="true" kind="lib" path="bin/" sourcepath="src/java"/>
 	<classpathentry excluding="org/txm/importer/graal/xsl/" kind="src" path="src/groovy"/>
 	<classpathentry kind="src" path="res"/>
-	<classpathentry exported="true" kind="lib" path="lib/saxon9he.jar"/>
 	<classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
 	<classpathentry exported="true" kind="lib" path="lib/hsqldb.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jodconverter-core-3.1-beta.jar"/>
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 240)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 241)
@@ -5,6 +5,7 @@
 Bundle-Version: 0.7.0.qualifier
 Bundle-Activator: org.txm.toolbox.Activator
 Require-Bundle: org.eclipse.core.runtime,
+ org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
  org.eclipse.osgi.util;bundle-version="3.2.0",
  org.eclipse.core.net,
  org.eclipse.osgi,
@@ -12,7 +13,6 @@
  org.eclipse.persistence.jpa;bundle-version="2.6.0",
  javax.persistence;bundle-version="2.1.0",
  org.eclipse.persistence.jpa.jpql;bundle-version="2.6.0",
- org.txm.r;bundle-version="1.0.0";visibility:=reexport,
  org.txm.utils;bundle-version="1.0.0";visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Export-Package: EDU.oswego.cs.dl.util.concurrent,
@@ -117,42 +117,6 @@
  junit.framework,
  junit.runner,
  junit.textui,
- net.sf.saxon,
- net.sf.saxon.dom,
- net.sf.saxon.event,
- net.sf.saxon.evpull,
- net.sf.saxon.expr,
- net.sf.saxon.expr.flwor,
- net.sf.saxon.expr.instruct,
- net.sf.saxon.expr.number,
- net.sf.saxon.expr.parser,
- net.sf.saxon.expr.sort,
- net.sf.saxon.functions,
- net.sf.saxon.functions.regex,
- net.sf.saxon.java,
- net.sf.saxon.lib,
- net.sf.saxon.om,
- net.sf.saxon.pattern,
- net.sf.saxon.pull,
- net.sf.saxon.query,
- net.sf.saxon.s9api,
- net.sf.saxon.serialize,
- net.sf.saxon.serialize.charcode,
- net.sf.saxon.serialize.codenorm,
- net.sf.saxon.style,
- net.sf.saxon.sxpath,
- net.sf.saxon.trace,
- net.sf.saxon.trans,
- net.sf.saxon.tree,
- net.sf.saxon.tree.iter,
- net.sf.saxon.tree.linked,
- net.sf.saxon.tree.tiny,
- net.sf.saxon.tree.util,
- net.sf.saxon.tree.wrapper,
- net.sf.saxon.type,
- net.sf.saxon.value,
- net.sf.saxon.xpath,
- net.sf.saxon.xqj,
  org.apache.log4j,
  org.apache.log4j.chainsaw,
  org.apache.log4j.config,
Index: tmp/org.txm.core/src/java/org/txm/Watcher.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Watcher.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/Watcher.java	(revision 241)
@@ -41,7 +41,7 @@
 	boolean process = true;
 	
 	/** The processname. */
-	String processname="noname"; //$NON-NLS-1$
+	protected String processname="noname"; //$NON-NLS-1$
 	
 	/** The restartcount. */
 	int restartcount = 0;
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 241)
@@ -9,9 +9,450 @@
  * @author sjacquot
  *
  */
-public class TXMCoreMessages {
+public class TXMCoreMessages extends NLS {
 
+	private static final String BUNDLE_NAME = "org.txm.core.messages.messages"; //$NON-NLS-1$
 	
+	
+	public static String PROPERTY_1;
+
+	public static String FMIN_1;
+	public static String FMIN_2;
+	public static String FMAX_1;
+	public static String FMAX_2;
+	public static String VMAX_1;
+	public static String QUERY_1;
+	public static String T;
+	public static String V;
+	public static String COMPUTE_DONE_NO_RESULT;
+
+	
+	
+	public static String FAILED;
+	public static String DONE;			
+	public static String AbsoluteFrequency_1;
+	public static String AbstractCqiClient_2;
+	public static String ArrayIndex_0;
+	public static String ArrayIndex_1;
+	public static String Base_0;
+	public static String Base_22;
+	public static String Base_3;
+	public static String Base_4;
+	public static String Base_5;
+	public static String Base_6;
+	public static String BuildCwbEncodeArgs_0;
+	public static String CHAR_VECTOR_ADDED_TO_WORKSPACE;
+	public static String CONNECTED_TO_STATS_MODULE;
+	public static String CONNECTING_CQI_CLIENT;
+	public static String CONNECTION_OK;
+	public static String CQI_CLIENT_CONNECTED;
+	public static String CREATING_PART;
+	public static String CREATING_SUBCORPUS;
+	public static String CatalogManager_0;
+	public static String CatalogManager_1;
+	public static String Catalog_0;
+	public static String CompositeComparator_0;
+	public static String Concordance_0;
+	public static String Concordance_1;
+	public static String Concordance_12;
+	public static String Concordance_13;
+	public static String Concordance_14;
+	public static String Concordance_15;
+	public static String Concordance_16;
+	public static String Concordance_17;
+	public static String Concordance_18;
+	public static String Concordance_19;
+	public static String Concordance_2;
+	public static String Concordance_3;
+	public static String Concordance_4;
+	public static String Concordance_5;
+	public static String Concordance_6;
+	public static String Concordance_7;
+	public static String Concordance_8;
+	public static String Contrasts_0;
+	public static String Convert5To6_1;
+	public static String Convert5To6_10;
+	public static String Convert5To6_11;
+	public static String Convert5To6_12;
+	public static String Convert5To6_15;
+	public static String Convert5To6_19;
+	public static String Convert5To6_30;
+	public static String Convert5To6_46;
+	public static String Convert5To6_6;
+	public static String Convert5To6_7;
+	public static String Convert5To6_8;
+	public static String Convert5To6_9;
+	public static String CorpusManager_0;
+	public static String CorpusManager_1;
+	public static String Corpus_12;
+	public static String Corpus_13;
+	public static String Corpus_14;
+	public static String Corpus_15;
+	public static String Corpus_19;
+	public static String Corpus_2;
+	public static String Corpus_3;
+	public static String Corpus_4;
+	public static String Corpus_5;
+	public static String Corpus_6;
+	public static String Corpus_7;
+	public static String Corpus_8;
+	public static String CqiClient_0;
+	public static String CqiClient_1;
+	public static String CqiClient_3;
+	public static String CqiClient_32;
+	public static String CqiClient_33;
+	public static String CqiClient_34;
+	public static String CwbEncode_0;
+	public static String CwbEncode_21;
+	public static String CwbEncode_23;
+	public static String CwbEncode_25;
+	public static String CwbEncode_27;
+	public static String CwbEncode_29;
+	public static String CwbEncode_32;
+	public static String CwbProcess_1;
+	public static String CwbProcess_3;
+	public static String CwbProcess_4;
+	public static String CwbProcess_5;
+	public static String DOUBLE_VECTOR_ADDED_TO_WORKSPACE;
+	public static String DROP_PARTITION;
+	public static String DROP_QUERYRESULT;
+	public static String DROP_SUBCORPUS;
+	public static String Diagnostic_0;
+	public static String Diagnostic_1;
+	public static String Diagnostic_10;
+	public static String Diagnostic_11;
+	public static String Diagnostic_12;
+	public static String Diagnostic_13;
+	public static String Diagnostic_14;
+	public static String Diagnostic_15;
+	public static String Diagnostic_16;
+	public static String Diagnostic_17;
+	public static String Diagnostic_18;
+	public static String Diagnostic_19;
+	public static String Diagnostic_2;
+	public static String Diagnostic_20;
+	public static String Diagnostic_22;
+	public static String Diagnostic_23;
+	public static String Diagnostic_26;
+	public static String Diagnostic_3;
+	public static String Diagnostic_4;
+	public static String Diagnostic_40;
+	public static String Diagnostic_41;
+	public static String Diagnostic_43;
+	public static String Diagnostic_49;
+	public static String Diagnostic_5;
+	public static String Diagnostic_6;
+	public static String Diagnostic_7;
+	public static String Diagnostic_8;
+	public static String Diagnostic_9;
+	public static String END_SUBCORPUS_LEXICON;
+	public static String END_SUBCORPUS_SIZE;
+	public static String ERROR_EXTRACT_ITEM;
+	public static String EVALUATED_EXPRESSION;
+	public static String ExecTimer_0;
+	public static String ExecTimer_1;
+	public static String ExecTimer_2;
+	public static String ExecTimer_3;
+	public static String FAILED_INIT_CONNECTION_R;
+	public static String FactoMineRCA_2;
+	public static String FactoMineRCA_3;
+	public static String FactoMineRCA_4;
+	public static String FactoMineRCA_5;
+	public static String Factor_0;
+	public static String FileCopy_0;
+	public static String FileCopy_2;
+	public static String FileCopy_4;
+	public static String FilterManager_0;
+	public static String FilterManager_1;
+	public static String Filter_7;
+	public static String Focus_1;
+	public static String GroovyImportScriptRunner_0;
+	public static String GroovyImportScriptRunner_1;
+	public static String GroovyImportScriptRunner_3;
+	public static String INT_VECTOR_ADDED_TO_WORKSPACE;
+	public static String InternalView_3;
+	public static String InternalView_6;
+	public static String InternalView_7;
+	public static String LEXICON;
+	public static String LEXICON_ADDED;
+	public static String LS_0;
+	public static String LS_1;
+	public static String LexicographicKeywordComparator_0;
+	public static String LexicographicLeftContextComparator_0;
+	public static String LexicographicRightContextComparator_0;
+	public static String Lexicon_0;
+	public static String Lexicon_3;
+	public static String Localizer_0;
+	public static String Localizer_1;
+	public static String Log_3;
+	public static String Log_5;
+	public static String Log_8;
+	public static String MATRIX_ADDED_TO_WORKSPACE;
+	public static String MainCorpus_0;
+	public static String MainCorpus_1;
+	public static String MainCorpus_2;
+	public static String MatrixImpl_0;
+	public static String MatrixImpl_1;
+	public static String MatrixImpl_10;
+	public static String MatrixImpl_11;
+	public static String MatrixImpl_13;
+	public static String MatrixImpl_14;
+	public static String MatrixImpl_19;
+	public static String MatrixImpl_2;
+	public static String MatrixImpl_20;
+	public static String MatrixImpl_21;
+	public static String MatrixImpl_22;
+	public static String MatrixImpl_23;
+	public static String MatrixImpl_28;
+	public static String MatrixImpl_29;
+	public static String MatrixImpl_4;
+	public static String MatrixImpl_5;
+	public static String MatrixImpl_6;
+	public static String MatrixImpl_67;
+	public static String MatrixImpl_7;
+	public static String MatrixImpl_73;
+	public static String MatrixImpl_79;
+	public static String MatrixImpl_88;
+	public static String MemCqiClient_0;
+	public static String MemCqiClient_1;
+	public static String MemCqiClient_10;
+	public static String MemCqiClient_11;
+	public static String MemCqiClient_2;
+	public static String MemCqiClient_3;
+	public static String MemCqiClient_5;
+	public static String MemCqiClient_7;
+	public static String MemCqiClient_9;
+	public static String MessageBox_0;
+	public static String MessageBox_1;
+	public static String MessageBox_2;
+	public static String NEW_PARTION;
+	public static String NOT_FOUND_IN_R;
+	public static String NetCqiClient_1;
+	public static String NetCqiClient_3;
+	public static String NetCqiClient_5;
+	public static String NetCqiClient_97;
+	public static String NetCqiServer_0;
+	public static String NetCqiServer_1;
+	public static String NullComparator_0;
+	public static String PACKAGE_LOADED;
+	public static String PARTITION_CREATED;
+	public static String PART_CREATED;
+	public static String Page_3;
+	public static String Pair_0;
+	public static String Pair_1;
+	public static String PartitionFocus_1;
+	public static String PartitionFocus_2;
+	public static String PartitionFocus_3;
+	public static String PartitionFocus_4;
+	public static String Partition_1;
+	public static String Partition_18;
+	public static String Partition_2;
+	public static String Partition_21;
+	public static String Partition_4;
+	public static String Partition_9;
+	public static String PatchCwbRegistry_0;
+	public static String PatchCwbRegistry_1;
+	public static String PatchCwbRegistry_13;
+	public static String PatchCwbRegistry_16;
+	public static String PatchCwbRegistry_2;
+	public static String PatchCwbRegistry_23;
+	public static String PatchCwbRegistry_27;
+	public static String PatchCwbRegistry_28;
+	public static String PatchCwbRegistry_29;
+	public static String PatchCwbRegistry_3;
+	public static String PatchCwbRegistry_34;
+	public static String PatchCwbRegistry_35;
+	public static String PatchCwbRegistry_4;
+	public static String PatchCwbRegistry_5;
+	public static String Project_0;
+	public static String Project_1;
+	public static String Project_10;
+	public static String Project_11;
+	public static String Project_12;
+	public static String Project_13;
+	public static String Project_14;
+	public static String Project_15;
+	public static String Project_16;
+	public static String Project_17;
+	public static String Project_18;
+	public static String Project_2;
+	public static String Project_25;
+	public static String Project_26;
+	public static String Project_27;
+	public static String Project_28;
+	public static String Project_3;
+	public static String Project_31;
+	public static String Project_4;
+	public static String Project_5;
+	public static String Project_6;
+	public static String Project_7;
+	public static String Project_8;
+	public static String Project_9;
+	public static String PropertiesReferenceComparator_0;
+	public static String QUERY;
+	public static String QUERYING_PARTITION;
+	public static String QuantitativeDataStructureImpl_0;
+	public static String QuantitativeDataStructureImpl_1;
+	public static String QuantitativeDataStructureImpl_2;
+	public static String QueryIndex_2;
+	public static String QueryIndex_3;
+	public static String QueryResult_0;
+	public static String READING_2D_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READING_BOOLEAN_FROM_CQI_SERVER;
+	public static String READING_HEADER_FROM_CQI_SERVER;
+	public static String READING_INTEGER_FROM_CQI_SERVER;
+	public static String READING_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READING_STRING_ARRAY_FROM_CQI_SERVER;
+	public static String READING_STRING_FROM_CQI_SERVER;
+	public static String READ_2D_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READ_BOOLEAN_FROM_CQI_SERVER;
+	public static String READ_BYTE_FROM_CQI_SERVER;
+	public static String READ_HEADER_FROM_CQI_SERVER;
+	public static String READ_INTEGER_FROM_CQI_SERVER;
+	public static String READ_INT_ARRAY_FROM_CQI_SERVER;
+	public static String READ_STRING_ARRAY_FROM_CQI_SERVER;
+	public static String READ_STRING_FROM_CQI_SERVER;
+	public static String REQUESTED_OBJECT;
+	public static String RETURNING_CACHED_LEXICON;
+	public static String RETURN_FROM_QUERY;
+	public static String ReferencePattern_3;
+	public static String Referencer_1;
+	public static String Referencer_2;
+	public static String RelativeFrequency_3;
+	public static String SERVER_STARTED;
+	public static String SERVER_STOPED;
+	public static String STARTING_SERVER;
+	public static String STOPING_SERVER;
+	public static String SUBCORPUS_CREATED;
+	public static String SUBCORPUS_LEXICON;
+	public static String SUBCORPUS_SIZE;
+	public static String Selection_0;
+	public static String Selection_1;
+	public static String Selection_2;
+	public static String Selection_26;
+	public static String Selection_3;
+	public static String Selection_4;
+	public static String Selection_5;
+	public static String Selection_6;
+	public static String Selection_7;
+	public static String Selection_8;
+	public static String Selection_9;
+	public static String Sh_4;
+	public static String StreamGobbler_0;
+	public static String StreamGobbler_1;
+	public static String StreamGobbler_2;
+	public static String StreamGobbler_3;
+	public static String StructuralUnitProperty_0;
+	public static String Subcorpus_1;
+	public static String Subcorpus_2;
+	public static String Subcorpus_3;
+	public static String Summary_13;
+	public static String Summary_14;
+	public static String Summary_15;
+	public static String Summary_16;
+	public static String Summary_17;
+	public static String TSCmd_30;
+	public static String TSCmd_31;
+	public static String TSCorpusManager_0;
+	public static String TSCorpusManager_1;
+	public static String TSCorpus_0;
+	public static String TSResult_0;
+	public static String TSResult_13;
+	public static String TSResult_14;
+	public static String TSResult_18;
+	public static String TSResult_2;
+	public static String TSResult_7;
+	public static String TSResult_8;
+	public static String TigerXmlIndexing_2;
+	public static String TigerXmlIndexing_3;
+	public static String TigerXmlIndexing_6;
+	public static String TigerXmlIndexing_7;
+	public static String Toolbox_0;
+	public static String Toolbox_1;
+	public static String Toolbox_10;
+	public static String Toolbox_11;
+	public static String Toolbox_12;
+	public static String Toolbox_14;
+	public static String Toolbox_15;
+	public static String Toolbox_16;
+	public static String Toolbox_17;
+	public static String Toolbox_18;
+	public static String Toolbox_2;
+	public static String Toolbox_21;
+	public static String Toolbox_22;
+	public static String Error_CONNECTION_FAILED;
+
+	public static String Toolbox_27;
+	public static String Toolbox_28;
+	public static String Toolbox_29;
+	public static String Toolbox_3;
+	public static String Toolbox_30;
+	public static String Toolbox_31;
+	public static String Toolbox_33;
+	public static String Toolbox_34;
+	public static String Toolbox_37;
+	public static String Toolbox_38;
+	public static String Toolbox_39;
+	public static String Toolbox_4;
+	public static String Toolbox_40;
+	public static String Toolbox_7;
+	public static String Toolbox_8;
+	public static String Toolbox_9;
+	public static String Toolbox_connected_to_corpus_sever;
+	public static String Toolbox_wait_failed;
+	public static String Toolbox_workspace_init;
+	public static String Toolbox_workspace_init_failed;
+	public static String Toolbox_wrong_port;
+	public static String TxmObject_0;
+	public static String TxmObject_1;
+	public static String TxmObject_2;
+	public static String TxmRenderer_1;
+	public static String TxmRenderer_5;
+	public static String TxmRenderer_6;
+	public static String TxmRenderer_7;
+	public static String VARIABLE_REMOVED;
+	public static String ValidateXml_0;
+	public static String ValidateXml_1;
+	public static String ValidateXml_2;
+	public static String ValidateXml_3;
+	public static String VectorizeArray_0;
+	public static String VectorizeArray_1;
+	public static String VectorizeArray_10;
+	public static String VectorizeArray_11;
+	public static String VectorizeArray_3;
+	public static String VectorizeArray_4;
+	public static String VectorizeArray_5;
+	public static String VectorizeArray_7;
+	public static String VectorizeArray_8;
+	public static String VectorizeArray_9;
+	public static String Index_0;
+	public static String Index_1;
+	public static String Index_7;
+	public static String WORKSPACE_PURGED;
+	public static String Workspace_0;
+	public static String Workspace_1;
+	public static String Workspace_10;
+	public static String Workspace_2;
+	public static String Workspace_26;
+	public static String Workspace_27;
+	public static String Workspace_28;
+	public static String Workspace_29;
+	public static String Workspace_3;
+	public static String Workspace_30;
+	public static String Workspace_31;
+	public static String Workspace_4;
+	public static String Workspace_5;
+	public static String Workspace_6;
+	public static String Workspace_7;
+	public static String Workspace_8;
+	
+	
+	
+	static {
+		// initialize resource bundle
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, TXMCoreMessages.class);
+	}
+	
 	/**
 	 * Initializes messages using UTF-8 encoding.
 	 * @param baseName
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 241)
@@ -1,14 +1,18 @@
 package org.txm.core.preferences;
 
+import java.lang.reflect.Field;
 import java.util.ArrayList;
 import java.util.Arrays;
 
+import org.eclipse.core.internal.runtime.InternalPlatform;
+import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.eclipse.core.runtime.preferences.IEclipsePreferences;
 import org.eclipse.core.runtime.preferences.IScopeContext;
 import org.eclipse.core.runtime.preferences.InstanceScope;
 import org.osgi.service.prefs.BackingStoreException;
+import org.txm.Toolbox;
 
 
 
@@ -371,7 +375,7 @@
 	 * @param key
 	 * @return
 	 */
-	public static double getFloat(String nodeQualifier, String key)	{
+	public static float getFloat(String nodeQualifier, String key)	{
 		return getFloat(nodeQualifier, null, key);
 	}
 	
@@ -459,6 +463,7 @@
 	 */
 	public static void dump(String nodeQualifier)	{
 		IEclipsePreferences preferences = scope.getNode(nodeQualifier);
+		System.out.println("TXMPreferences.dump(): node qualifier = " + nodeQualifier);
 		try {
 			String[] keys = preferences.keys();
 			for(int i = 0; i < keys.length; i++) {
@@ -531,6 +536,112 @@
 		return object.getClass().getName() + '@' + Integer.toHexString(object.hashCode());
 	}
 
-
 	
+	
+	//FIXME: this code is dedicated to dynamically retrieve the static field PREFERENCES_NODE of the runtime subclass and use it super class to avoid to pass it to all methods.
+	// eg. to use ProgressionPreferences.getBoolean("test") instead of TXMPreferences..getBoolean(ProgressionPreferences.PREFERENCES_NODE, "test")
+	// but it doesn"t work, need to continue the tests...
+//	/**
+//	 * 
+//	 * @author sjacquot
+//	 *
+//	 */
+//	public static class CurrentClassGetter extends SecurityManager {
+//		  public Class getCurrentClass() {
+//			  //FIXME: debug
+//			  for(int i = 0; i < getClassContext().length; i++) {
+//				System.err.println("TXMPreferences.CurrentClassGetter.getCurrentClass() class " + i + " = " + getClassContext()[i]);
+//			}
+//		    return getClassContext()[2];
+//		  }
+//		}
+//	
+//
+//	/**
+//	 * Gets the static field PREFERENCES_NODE of the runtime subclass.
+//	 * Convenience method to avoid to pass it to all methods. 
+//	 * @return
+//	 */
+//	private static String getNodeQualifier()	{
+//        String runtimeSubClassNodeQualifier  = null;
+//        try {
+//        	Class c = new CurrentClassGetter().getCurrentClass();
+//        	System.out.println("TXMPreferences.getNodeQualifier(): class = " + c);
+//            Field f = c.getDeclaredField("PREFERENCES_NODE");
+//            f.setAccessible(true);
+//            if(f.isAccessible())	{
+//                runtimeSubClassNodeQualifier = (String) f.get(null);
+//            }
+//        }
+//        catch (NoSuchFieldException e) {
+//            // TODO Auto-generated catch block
+//            e.printStackTrace();
+//        }
+//        catch (SecurityException e) {
+//            // TODO Auto-generated catch block
+//            e.printStackTrace();
+//        }
+//        catch (IllegalArgumentException e) {
+//            // TODO Auto-generated catch block
+//            e.printStackTrace();
+//        }
+//        catch (IllegalAccessException e) {
+//            // TODO Auto-generated catch block
+//            e.printStackTrace();
+//        }
+//        return runtimeSubClassNodeQualifier;
+//	}
+//	
+//	
+//	/**
+//	 * 
+//	 * @param key
+//	 * @return
+//	 */
+//	public static String getString(String key)	{
+//		return getString(getNodeQualifier(), key);
+//	}
+//
+//
+//	/**
+//	 * 
+//	 * @param key
+//	 * @return
+//	 */
+//	public static boolean getBoolean(String key)	{
+//    	Class c = new CurrentClassGetter().getCurrentClass();
+//    	System.out.println("TXMPreferences.getBoolean(): class = " + c);
+//		return getBoolean(getNodeQualifier(), key);
+//	}
+//	
+//	
+//	/**
+//	 * 
+//	 * @param key
+//	 * @return
+//	 */
+//	public static int getInt(String key)	{
+//		return getInt(getNodeQualifier(), key);
+//	}
+//	
+//	/**
+//	 * 
+//	 * @param key
+//	 * @return
+//	 */
+//	public static double getDouble(String key)	{
+//		return getDouble(getNodeQualifier(), key);
+//	}
+//	
+//	
+//	/**
+//	 * 
+//	 * @param key
+//	 * @return
+//	 */
+//	public static float getFloat(String key)	{
+//		return getFloat(getNodeQualifier(), key);
+//	}
+	//end of fixme
+	
 }
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 241)
@@ -39,10 +39,8 @@
 import javax.xml.parsers.ParserConfigurationException;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.Messages;
-import org.txm.Toolbox;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.importer.cwb.PatchCwbRegistry;
-import org.txm.utils.FileCopy;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
@@ -138,13 +136,13 @@
 				}
 				
 				if (name == null || name.length() == 0) { // check name attribute
-					System.out.println(Messages.bind(Messages.Project_2, PARAMS));
+					System.out.println(TXMCoreMessages.bind(TXMCoreMessages.Project_2, PARAMS));
 					if (PARAMS.exists() && PARAMS.canRead()) { // try fixing the name
-						System.out.println(Messages.Project_0);
+						System.out.println(TXMCoreMessages.Project_0);
 						name = PARAMS.getParentFile().getName().toUpperCase();
 						baseElement.setAttribute(NAME, name);
 					} else { // no luck :)
-						System.out.println(Messages.Project_1+PARAMS);
+						System.out.println(TXMCoreMessages.Project_1+PARAMS);
 						basesElem.removeChild(baseElement);
 					}
 				} 
@@ -194,14 +192,14 @@
 							basesToLoad.put(upperCasedName, parameters);
 						}
 					} else {
-						System.out.println(Messages.Project_6+PARAMS);
+						System.out.println(TXMCoreMessages.Project_6+PARAMS);
 					}
 				} else {
-					System.out.println(NLS.bind(Messages.Project_8, PARAMS));
+					System.out.println(NLS.bind(TXMCoreMessages.Project_8, PARAMS));
 					baseElement.getParentNode().removeChild(baseElement);
 				}
 			} catch (Exception e1) {
-				System.out.println(Messages.Project_10+e1);
+				System.out.println(TXMCoreMessages.Project_10+e1);
 			}
 		}
 		for (String k : basesToLoad.keySet()) {
@@ -214,7 +212,7 @@
 				b.load();
 				bases.put(b.getName(), b);
 			} catch (Exception e) {
-				System.out.println(Messages.Project_7+PARAMS);
+				System.out.println(TXMCoreMessages.Project_7+PARAMS);
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
@@ -268,16 +266,16 @@
 		{// minimal base data
 			BaseParameters parameters = new BaseParameters(PARAMS);
 			if (!parameters.load()) {
-				System.out.println(Messages.Project_11+PARAMS);
-				Log.severe(Messages.Project_11+PARAMS);
+				System.out.println(TXMCoreMessages.Project_11+PARAMS);
+				Log.severe(TXMCoreMessages.Project_11+PARAMS);
 				return null;
 			}
 
 			if (parameters.version == null || parameters.version.length() == 0) {
-				System.out.println(Messages.Project_14);
+				System.out.println(TXMCoreMessages.Project_14);
 				return null;
 			} else if (CURRENTCORPUSVERSION.compareTo(parameters.version) > 0) {
-				System.out.println(Messages.Project_15);
+				System.out.println(TXMCoreMessages.Project_15);
 				System.out.println(CURRENTCORPUSVERSION+" > "+parameters.version); //$NON-NLS-1$
 				return null;
 			}
@@ -300,8 +298,8 @@
 				File DATAc = new File(DATAs, corpusname);
 
 				if (!(PARAMS.exists() && HTMLc.exists() && REGISTRYc.exists() && DATAc.exists())) {
-					System.out.println(Messages.Project_17+corpusname);
-					System.out.println(Messages.Project_18+PARAMS);
+					System.out.println(TXMCoreMessages.Project_17+corpusname);
+					System.out.println(TXMCoreMessages.Project_18+PARAMS);
 					System.out.println("HTMLc: "+HTMLc+" : "+HTMLc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
 					System.out.println("REGISTRYc: "+REGISTRYc+" : "+REGISTRYc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
 					System.out.println("DATAc: "+DATAc+" : "+DATAc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
@@ -322,8 +320,8 @@
 
 			return b;
 		} else {
-			System.out.println(Messages.bind(Messages.Project_26, binCorpusDir));
-			System.out.println(Messages.Project_28+HTMLs+", "+DATAs+", "+REGISTRY+Messages.Project_31+PARAMS); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-1$
+			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.Project_26, binCorpusDir));
+			System.out.println(TXMCoreMessages.Project_28+HTMLs+", "+DATAs+", "+REGISTRY+TXMCoreMessages.Project_31+PARAMS); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-1$
 		}
 		return null;
 	}
